=== debian/changelog ===
haskell-lambdahack (0.8.3.0-4build5) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:03:38 +0000

haskell-lambdahack (0.8.3.0-4build4) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:51:13 +0000

haskell-lambdahack (0.8.3.0-4build3) focal; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Nov 2019 08:55:50 +0100

haskell-lambdahack (0.8.3.0-4build2) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Aug 2019 16:09:07 +0200

haskell-lambdahack (0.8.3.0-4build1) disco; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Jan 2019 15:37:11 +0100

haskell-lambdahack (0.8.3.0-4) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-stm-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 17:50:18 +0300

haskell-lambdahack (0.8.3.0-3) unstable; urgency=medium

  * Sourceful upload for ghc-8.4.3 (haddock-interface-33)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:13:37 +0300

haskell-lambdahack (0.8.3.0-2) unstable; urgency=medium

  * Turn off optimization for architectures that take forever compiling
  * Install fonts in usr/share/lambdahack, where the binary expects them

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Mon, 02 Jul 2018 17:26:16 +0200

haskell-lambdahack (0.8.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Sat, 30 Jun 2018 13:17:24 +0200
