=== debian/changelog ===
haskell-lambdahack (0.9.5.0-3build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:00:55 +0200

haskell-lambdahack (0.9.5.0-3) unstable; urgency=medium

  * Include InGameHelp.txt instead of the mixed up MoveKeys.txt
  * Fix some lintian warnings
  * Fix Multiarch hinter's 'libghc-lambdahack-prof could be marked Multi-Arch: same'

 -- Mikolaj Konarski <mikolaj.konarski@funktory.com>  Sun, 23 Aug 2020 09:48:56 +0200

haskell-lambdahack (0.9.5.0-2) unstable; urgency=medium

  [ Mikolaj Konarski ]
  * Update lambdahack.install and copyright for the new upstream release

  [ Clint Adams ]
  * Patch testsuite to use fonts in the source directory instead of
    their installed locations.

 -- Clint Adams <clint@debian.org>  Mon, 15 Jun 2020 19:22:07 -0400

haskell-lambdahack (0.9.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 12:16:36 -0400
