=== debian/changelog ===
haskell-lambdahack (0.11.0.0-4) unstable; urgency=medium

  * Bump versioned dependency on haskell-hsini (Closes: #1053756)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 26 Oct 2023 15:39:19 +0300

haskell-lambdahack (0.11.0.0-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 09 Oct 2023 15:42:47 +0300

haskell-lambdahack (0.11.0.0-2) unstable; urgency=medium

  * Install all font files

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 10 Aug 2022 10:44:42 +0300

haskell-lambdahack (0.11.0.0-1) unstable; urgency=medium

  [ Mikolaj Konarski ]
  * Add patch workaround-freetype-2.11-bug.diff (the same bug as https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=997674)
  * Fix some lintian warnings
  * Revert "Fix Multiarch hinter's 'libghc-lambdahack-prof could be marked Multi-Arch: same'", because it leads to lintian error; no idea how to do it well

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 30 Jul 2022 21:57:25 -0400
