=== debian/control ===
--- 
+++ 
@@ -7,65 +7,94 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts (>= 0.8),
  cdbs,
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
+ libghc-quickcheck2-dev,
+ libghc-quickcheck2-prof,
+ libghc-ansi-terminal-dev (>= 0.10),
+ libghc-ansi-terminal-prof,
  libghc-assert-failure-dev (>= 0.1.2),
  libghc-assert-failure-dev (<< 0.2),
  libghc-assert-failure-prof,
- libghc-async-dev (>= 2),
+ libghc-async-dev (>= 2.2.1),
  libghc-async-prof,
- libghc-base-compat-dev (>= 0.8.0),
+ libghc-base-compat-dev (>= 0.10.0),
  libghc-base-compat-prof,
  libghc-enummapset-dev (>= 0.5.2.2),
  libghc-enummapset-prof,
+ libghc-file-embed-dev (>= 0.0.11),
+ libghc-file-embed-prof,
  libghc-hashable-dev (>= 1.1.2.5),
  libghc-hashable-prof,
- libghc-hsini-dev (>= 0.2),
+ libghc-hsini-dev (>= 0.5.2.2),
  libghc-hsini-prof,
  libghc-keys-dev (>= 3),
  libghc-keys-prof,
  libghc-miniutter-dev (>= 0.5.0.0),
  libghc-miniutter-prof,
+ libghc-open-browser-dev (>= 0.2),
+ libghc-open-browser-prof,
  libghc-optparse-applicative-dev (>= 0.13),
  libghc-optparse-applicative-prof,
  libghc-pretty-show-dev (>= 1.6),
  libghc-pretty-show-prof,
  libghc-primitive-dev (>= 0.6.1.0),
  libghc-primitive-prof,
- libghc-random-dev (>= 1.1),
- libghc-random-prof,
  libghc-sdl2-dev (>= 2),
  libghc-sdl2-prof,
  libghc-sdl2-ttf-dev (>= 2),
  libghc-sdl2-ttf-prof,
+ libghc-splitmix-dev (>= 0.0.3),
+ libghc-splitmix-prof,
+ libghc-th-lift-instances-dev,
+ libghc-th-lift-instances-prof,
  libghc-unordered-containers-dev (>= 0.2.3),
  libghc-unordered-containers-prof,
  libghc-vector-dev (>= 0.11),
  libghc-vector-prof,
  libghc-vector-binary-instances-dev (>= 0.2.3.1),
  libghc-vector-binary-instances-prof,
+ libghc-witch-dev (>= 0.3),
+ libghc-witch-prof,
  libghc-zlib-dev (>= 0.5.3.1),
  libghc-zlib-prof,
+ libghc-async-dev,
+ libghc-optparse-applicative-dev,
+ libghc-enummapset-dev,
+ libghc-splitmix-dev,
+ libghc-tasty-dev (>= 1.0),
+ libghc-tasty-prof,
+ libghc-tasty-hunit-dev,
+ libghc-tasty-hunit-prof,
+ libghc-tasty-quickcheck-dev,
+ libghc-tasty-quickcheck-prof,
+ libghc-vector-dev,
 Build-Depends-Indep: ghc-doc,
+ libghc-quickcheck2-doc,
+ libghc-ansi-terminal-doc,
  libghc-assert-failure-doc,
  libghc-async-doc,
  libghc-base-compat-doc,
  libghc-enummapset-doc,
+ libghc-file-embed-doc,
  libghc-hashable-doc,
  libghc-hsini-doc,
  libghc-keys-doc,
  libghc-miniutter-doc,
+ libghc-open-browser-doc,
  libghc-optparse-applicative-doc,
  libghc-pretty-show-doc,
  libghc-primitive-doc,
- libghc-random-doc,
  libghc-sdl2-doc,
  libghc-sdl2-ttf-doc,
+ libghc-splitmix-doc,
+ libghc-th-lift-instances-doc,
  libghc-unordered-containers-doc,
  libghc-vector-doc,
  libghc-vector-binary-instances-doc,
+ libghc-witch-doc,
  libghc-zlib-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/LambdaHack/LambdaHack
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-lambdahack
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-lambdahack]
@@ -98,7 +127,6 @@
 
 Package: libghc-lambdahack-prof
 Architecture: any
-Multi-Arch: same
 Depends: ${haskell:Depends},
  ${misc:Depends},
 Recommends: ${haskell:Recommends},
